import os
import sys
import getpass
import ConfigParser

username = getpass.getuser()

if username != 'root':

    workdir    = os.path.curdir
    homedir    = os.path.expanduser('~')
    runtimedir = os.path.dirname(__file__)
    workspace  = '/data/workspace/'+username

    config = ConfigParser.ConfigParser()

    cfgfiles = [
        workspace+'/runtime.cfg',
        workdir+'/runtime.cfg',
        workdir+'/.runtime.cfg',
        homedir+'/.config/sig-runtime.cfg',
        homedir+'/.config/sig-runtime/runtime.cfg',
        homedir+'/runtime.cfg',
        homedir+'/.runtime.cfg',
        runtimedir+'/runtime.cfg',
        runtimedir+'/.runtime.cfg',
    ]

    for cfgfile in cfgfiles:
        if os.path.isfile(cfgfile):
            config.read(cfgfile)
            workspace_enabled = (config.get('workspace','enabled') == 'true')
            if (workspace_enabled or os.path.dirname(cfgfile) != workspace):
                break

    def get_path(path,root='.'):
        if path[0] == '/':
            return path
        else:
            return root+'/'+path

    try:
        for item in config.items('paths'):
            if (item[0] not in ('prefix','root')):
                lpath = config.get('paths',item[0])
                if (workspace_enabled and os.path.isfile(workspace+'/runtime.cfg')):
                    sys.path.append(get_path(lpath,workspace))
                else:
                    sys.path.append(get_path(lpath))
    except BaseException:
        pass

